package com.palacesun.masking.vo;

import java.util.List;

public class AccessVO {
   private String type;
   private String datetime;
   private String username;
   private String schema;
   private List<String> tags;
   private List<String> tables;
   private Long records;
   private String action;
   private String sql;
   private String sqltype;
   private List<String> fileds;
   private String auditswitch;

   public String getDatetime() {
      return this.datetime;
   }

   public void setDatetime(String datetime) {
      this.datetime = datetime;
   }

   public String getUsername() {
      return this.username;
   }

   public void setUsername(String username) {
      this.username = username;
   }

   public String getSchema() {
      return this.schema;
   }

   public void setSchema(String schema) {
      this.schema = schema;
   }

   public List<String> getTags() {
      return this.tags;
   }

   public void setTags(List<String> tags) {
      this.tags = tags;
   }

   public List<String> getTables() {
      return this.tables;
   }

   public void setTables(List<String> tables) {
      this.tables = tables;
   }

   public Long getRecords() {
      return this.records;
   }

   public void setRecords(Long records) {
      this.records = records;
   }

   public String getAction() {
      return this.action;
   }

   public void setAction(String action) {
      this.action = action;
   }

   public String getSql() {
      return this.sql;
   }

   public void setSql(String sql) {
      this.sql = sql;
   }

   public List<String> getFileds() {
      return this.fileds;
   }

   public void setFileds(List<String> fileds) {
      this.fileds = fileds;
   }

   public String getType() {
      return this.type;
   }

   public void setType(String type) {
      this.type = type;
   }

   public String getSqltype() {
      return this.sqltype;
   }

   public void setSqltype(String sqltype) {
      this.sqltype = sqltype;
   }

   public String getAuditswitch() {
      return this.auditswitch;
   }

   public void setAuditswitch(String auditswitch) {
      this.auditswitch = auditswitch;
   }
}
